/**************************************************
Trivantis (http://www.trivantis.com)
**************************************************/

function putParam(group,param) {
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	titleMgr.PutParam(group,param)
}

function getParam(param) {
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	return titleMgr.GetParam(param)
  else
    return null
}

function putComments(comments) {
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	titleMgr.PutComments(comments)
}

function putPath(path) {
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	titleMgr.PutPath(path)
}

function putInteractions(intHeader,interactions) {
  var putStr = intHeader + '\n' + interactions
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	titleMgr.PutInteractions(putStr)
}

function putObjectives(objectives) {
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	titleMgr.PutObjectives(objectives)
}

function putPerformance(performance) {
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	titleMgr.PutPerformance(performance)
}

function exitAU(bForce) {
  var titleMgr = getTitleMgrHandle();
  if( titleMgr )
	titleMgr.ExitAU()
  if(bForce) parent.close()
  else {
    var exitURL = readVariable( "exitAUreturnURL", "" )
    if( exitURL ) parent.location.href=exitURL
    else parent.close()
  }
}

